Description

Running script/generate, either without parameters or with redmine_plugin generates the following error:

host:redmine me$ script/generate 

undefined method `empty?' for /_generator$/:Regexp

host:redmine me$ script/generate redmine_plugin foo

undefined method `empty?' for /_generator$/:Regexp

History

#1 - 2008-12-19 03:27 - Jeffrey Hulten

Here is the tail end of ruby -d script/generate:

/Library/Ruby/Gems/1.8/gems/rails-2.1.2/lib/rails_generator/scripts/../options.rb:6: warning: redefine include

d

/Library/Ruby/Gems/1.8/gems/rails-2.1.2/lib/rails_generator/scripts/../options.rb:22: warning: method redefine

d; discarding old mandatory_options

/Library/Ruby/Gems/1.8/gems/rails-2.1.2/lib/rails_generator/scripts/../options.rb:30: warning: method redefine

d; discarding old default_options

/Library/Ruby/Gems/1.8/gems/rails-2.1.2/lib/rails_generator/scripts/../options.rb:42: warning: method redefine

d; discarding old full_options

/Library/Ruby/Gems/1.8/gems/rails-2.1.2/lib/rails_generator/scripts/../options.rb:49: warning: method redefine

d; discarding old options

/Library/Ruby/Gems/1.8/gems/rails-2.1.2/lib/rails_generator/scripts/../options.rb:56: warning: method redefine

d; discarding old mandatory_options

/Library/Ruby/Gems/1.8/gems/rails-2.1.2/lib/rails_generator/scripts/../options.rb:61: warning: method redefine

d; discarding old default_options

/Library/Ruby/Gems/1.8/gems/rails-2.1.2/lib/rails_generator/scripts/../options.rb:70: warning: method redefine

d; discarding old full_options

/Library/Ruby/Gems/1.8/gems/rails-2.1.2/lib/rails_generator/scripts/../options.rb:81: warning: method redefine

d; discarding old parse!

/Library/Ruby/Gems/1.8/gems/rails-2.1.2/lib/rails_generator/scripts/../options.rb:98: warning: method redefine

d; discarding old usage

/Library/Ruby/Gems/1.8/gems/rails-2.1.2/lib/rails_generator/scripts/../options.rb:102: warning: method redefin

ed; discarding old usage_message

/Library/Ruby/Gems/1.8/gems/rails-2.1.2/lib/rails_generator/scripts/../options.rb:107: warning: method redefin

ed; discarding old banner

/Library/Ruby/Gems/1.8/gems/rails-2.1.2/lib/rails_generator/scripts/../options.rb:115: warning: method redefin

ed; discarding old add_options!

/Library/Ruby/Gems/1.8/gems/rails-2.1.2/lib/rails_generator/scripts/../options.rb:119: warning: method redefin

ed; discarding old add_general_options!

Exception `NoMethodError' at /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rubygems/

source_index.rb:213 - undefined method `empty?' for /_generator$/:Regexp

undefined method `empty?' for /_generator$/:Regexp

#2 - 2008-12-19 03:51 - Jeffrey Hulten

My script/about:

About your application's environment

Ruby version              1.8.6 (universal-darwin9.0)

RubyGems version          1.0.1

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2
Action Mailer version     2.1.2

Active Support version    2.1.2

Application root          /Users/me/Projects/redmine

Environment               development

Database adapter          sqlite3

Database schema version   101

#3 - 2008-12-19 04:06 - Jeffrey Hulten

- Status changed from New to Resolved

This appears to be an issue with RubyGems version 1.0.1. Upgrading to 1.3.1 fixed the issue.  Version requirement should be declared in the

documentation.

#4 - 2008-12-19 08:51 - Mak Babu

I can confirm the upgradation solved the problem in hand.  Not sure whether it would impact any other parts of the application

#5 - 2009-01-03 14:45 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Requirement added in the wiki. Thanks for pointing this out.
